GET /api/v3/postalcode/{postalCode}

Retrieves the city, state, country, and weather station for a postal code

GetPostalCodeV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
postalCode string Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

PostalCodeResponse
Property Description Type
city The city of the postal code string
country The country of the postal code string
postalCode The postal code string
state The state of the postal code string
weatherStation PostalCodeResponse+WeatherStation
PostalCodeResponse+WeatherStation properties
Property Description Type
city The city of the weather station string
country The country of the weather station string
state The state of the weather station string
weatherStationCode The weather station code string
weatherStationId The weather station Id integer (int32)
webStationId The web station Id integer (int32)
Example Response application/json
{  "city": "string",  "country": "string",  "postalCode": "string",  "state": "string",  "weatherStation": {    "city": "string",    "country": "string",    "state": "string",    "weatherStationCode": "string",    "weatherStationId": 1,    "webStationId": 1
  }
}